%global packname  progress
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          1.2.1
Release:          1%{?dist}
Summary:          Terminal Progress Bars

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-hms, R-prettyunits, R-R6, R-crayon
# Suggests:  R-Rcpp, R-testthat, R-withr
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-hms
Requires:         R-prettyunits
Requires:         R-R6
Requires:         R-crayon
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-hms
BuildRequires:    R-prettyunits
BuildRequires:    R-R6
BuildRequires:    R-crayon
BuildRequires:    R-Rcpp-devel
BuildRequires:    R-testthat
BuildRequires:    R-withr

%description
Configurable Progress bars, they may include percentage, elapsed time, and/or
the estimated completion time. They work in terminals, in Emacs ESS, RStudio,
Windows Rgui and the macOS R.app. The package also provides a C++ API, that
works with or without Rcpp.

%package devel
Summary:          Development files for %{name}
Requires:         %{name} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{packname}/README.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help

%files devel
%{rlibdir}/%{packname}/include


%changelog
* Mon May 13 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.1-1
- Update to latest version

* Wed Feb 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.0-1
- initial package for Fedora
